> For the complete documentation index, see [llms.txt](https://docs.overdare.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.overdare.com/korean/development/api-reference/enums/hitboxtype.md).

# HitboxType

## Overview

HitboxType는 캐릭터의 충돌 및 피격 판정에 사용되는 타입을 정의하는 Enum입니다.

Workspace의 HitboxType 속성과 Humanoid의 HitboxType 속성에서 사용되며, 캐릭터의 피격 판정 방식을 결정합니다.

## Items

| Name          | Value | Description                                 |
| ------------- | ----- | ------------------------------------------- |
| Single        | 0     | 캐릭터 전체를 감싸는 단일 캡슐을 히트박스로 사용합니다.             |
| SixBody       | 1     | 캐릭터의 각 사전 정의된 신체 부위에 대해 고정 크기의 히트박스를 생성합니다. |
| FittedSixBody | 2     | 각 신체 부위의 실제 크기에 기반하여 히트박스를 생성합니다.           |

## See also

{% content-ref url="/pages/4REwLh7KDcc0ExAnH7HB" %}
[Workspace](/korean/development/api-reference/classes/workspace.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.overdare.com/korean/development/api-reference/enums/hitboxtype.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
